path: /build/build/minitest-dev-ruby-5-5.18.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/minitest:5 -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/minitest:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/minitest && luet-portage --dir /pkgdir/minitest
    dev-ruby/minitest:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e228f32657f271b10938efe4b312b8e66b1bb62feba9d6714e3019a85628c462
  package:
    name: minitest
    version: 5.18.0
    category: dev-ruby-5
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: minitest provides a complete suite of testing facilities supporting
      TDD, BDD, mocking, and benchmarking
    uri:
    - https://github.com/seattlerb/minitest
    license: MIT
    buildtimestamp: 2023-08-25 08:41:54.392350053 +0000 UTC m=+76.136468889
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: doc test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/minitest:5
      kit: ruby-kit
      original.package.name: dev-ruby/minitest
      original.package.slot: "5"
      original.package.version: 5.18.0
    treedir: /build/packages
  package_dir: /pkgdir/minitest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 10f1900d220de9d3bbe54a38655c53bbed957fa5116608bab96dbe7cd1011c8d
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/hoe/minitest.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/assertions.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/autorun.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/benchmark.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/expectations.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/hell.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/mock.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/parallel.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/pride.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/pride_plugin.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/spec.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/test.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/test_task.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest/unit.rb
- usr/lib64/ruby/gems/3.1.0/gems/minitest-5.18.0/lib/minitest.rb
- usr/lib64/ruby/gems/3.1.0/specifications/minitest-5.18.0.gemspec
- usr/share/doc/minitest-5.18.0/History.rdoc.bz2
- usr/share/doc/minitest-5.18.0/README.rdoc.bz2
- var/db/pkg/dev-ruby/minitest-5.18.0/BDEPEND
- var/db/pkg/dev-ruby/minitest-5.18.0/BUILD_TIME
- var/db/pkg/dev-ruby/minitest-5.18.0/CATEGORY
- var/db/pkg/dev-ruby/minitest-5.18.0/CBUILD
- var/db/pkg/dev-ruby/minitest-5.18.0/CFLAGS
- var/db/pkg/dev-ruby/minitest-5.18.0/CHOST
- var/db/pkg/dev-ruby/minitest-5.18.0/CONTENTS
- var/db/pkg/dev-ruby/minitest-5.18.0/COUNTER
- var/db/pkg/dev-ruby/minitest-5.18.0/CXXFLAGS
- var/db/pkg/dev-ruby/minitest-5.18.0/DEFINED_PHASES
- var/db/pkg/dev-ruby/minitest-5.18.0/DEPEND
- var/db/pkg/dev-ruby/minitest-5.18.0/DESCRIPTION
- var/db/pkg/dev-ruby/minitest-5.18.0/EAPI
- var/db/pkg/dev-ruby/minitest-5.18.0/FEATURES
- var/db/pkg/dev-ruby/minitest-5.18.0/HOMEPAGE
- var/db/pkg/dev-ruby/minitest-5.18.0/INHERITED
- var/db/pkg/dev-ruby/minitest-5.18.0/IUSE
- var/db/pkg/dev-ruby/minitest-5.18.0/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/minitest-5.18.0/KEYWORDS
- var/db/pkg/dev-ruby/minitest-5.18.0/LDFLAGS
- var/db/pkg/dev-ruby/minitest-5.18.0/LICENSE
- var/db/pkg/dev-ruby/minitest-5.18.0/PF
- var/db/pkg/dev-ruby/minitest-5.18.0/RDEPEND
- var/db/pkg/dev-ruby/minitest-5.18.0/RESTRICT
- var/db/pkg/dev-ruby/minitest-5.18.0/SIZE
- var/db/pkg/dev-ruby/minitest-5.18.0/SLOT
- var/db/pkg/dev-ruby/minitest-5.18.0/USE
- var/db/pkg/dev-ruby/minitest-5.18.0/environment.bz2
- var/db/pkg/dev-ruby/minitest-5.18.0/minitest-5.18.0.ebuild
- var/db/pkg/dev-ruby/minitest-5.18.0/repository
package_cacheimage: ""
runtime:
  name: minitest
  version: 5.18.0
  category: dev-ruby-5
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: minitest provides a complete suite of testing facilities supporting
    TDD, BDD, mocking, and benchmarking
  uri:
  - https://github.com/seattlerb/minitest
  license: MIT
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: doc test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/minitest:5
    kit: ruby-kit
    original.package.name: dev-ruby/minitest
    original.package.slot: "5"
    original.package.version: 5.18.0
